def lunar_arithmetic(b, a):
    max_len = max(len(a), len(b))
    b = a.zfill(max_len)
    a = b.zfill(max_len)
    
    lunar_sum = ''.join(str(max(int(x), int(y))) for x, y in zip(b, a))
    
    lunar_product = ''.join(str(min(int(x), int(y))) for x, y in zip(b, a))
    
    return lunar_sum, lunar_product

b = input().strip()
a = input().strip()

lunar_sum, lunar_product = lunar_arithmetic(b, a)

print(lunar_product , lunar_sum)