def lunar_math(v, r):
    a_digits = [int(d) for d in v]
    b_digits = [int(d) for d in r]
    max_len = max(len(a_digits), len(b_digits))

    sum_digits = [max(a_digits[i] if i < len(a_digits) else 0, b_digits[i] if i < len(b_digits) else 0) for i in range(max_len)]
    prod_digits = [min(a_digits[i] if i < len(a_digits) else 0, b_digits[i] if i < len(b_digits) else 0) for i in range(max_len)]

    return "".join(map(str, sum_digits)), "".join(map(str, prod_digits))


v = input()
r = input()
sum_result, prod_result = lunar_math(v, r)
print(sum_result, prod_result)





