def lunar_sum(w, r):
    
    max_digits = max(len(w), len(r))
    w = w.zfill(max_digits)
    r = r.zfill(max_digits)
    result = ""
    for i in range(max_digits):
        result += str(max(int(w[i]), int(r[i])))
    return result

def lunar_product(w, r):
  
    if len(w) < len(r):
        w, r = r, w
    result = ""
    for digit_w in w:
        row_result = ""
        for digit_r in r:
          row_result += str(min(int(digit_w), int(digit_r)))
        row_result += '0' (len(w) - len(row_result))
        if len(result) == 0:
          result = row_result
        else:
          max_digits = max(len(result), len(row_result))
          result = lunar_sum(result.zfill(max_digits), row_result.zfill(max_digits))
    return result

w = input()
r = input()

sum_result = lunar_sum(w, r)
product_result = lunar_product(w, r)

print(sum_result, product_result)
