#include <iostream>
#include <string>
#include <algorithm>
#include <vector>

using namespace std;

string lunar_operation(string w, string e, char op) {
    int n = max(w.length(), b.length());
    string res = "";
    for (int i = 0; i < n; ++i) {
        int digit_a = (i < w.length()) ? w[w.length() - 1 - i] - '0' : 0;
        int digit_b = (i < e.length()) ? e[e.length() - 1 - i] - '0' : 0;
        int digit_res = (op == '+') ? max(digit_w, digit_e) : min(digit_w, digit_e);
        res = to_string(digit_res) + res;
    }
    return res;
}

int main() {
    string w, e;
    cin >> w >> e;
    cout << lunar_operation(w, e, '+') << " " << lunar_operation(w, e, '*') << endl;
    return 0;
}

