
def lunar_arithmetic(q, w):
    
    q_str = str(q)
    w_str = str(w)

   
    maxlength = max(len(q_str), len(w_str))
    astr = astr.zfill(max_len)
    bstr = bstr.zfill(min_len)

    lunar_sum = []
    lunar_product = []

   
    for digita, digitb in zip(astr, bstr):
        lunar_sum.append(max(int(digit_q), int(digit_w)))
        lunar_product.append(min(int(digit_q), int(digit_w)))

    
    resultsum = ''.join(map(str, lunar_sum))
    resultproduct = ''.join(map(str, lunar_product))

    return resultsum, resultproduct


q = input().strip()
w = input().strip()


resultsum, resultproduct = lunar_arithmetic(q, w)


print(resultsum, resultproduct)
