#include <iostream>
#include <string>
#include <algorithm>

using namespace std;

string solve() {
    long long a, b;
    cin >> a >> b;

    if (a == 0 && b == 1) return "";
    if (b == 0) return "no";

    string path = "";
    long long num = 1, den = 1;

    while (a != num || b != den) {
        if (a * den < b * num) {
            path += 'R';
            num += a;
            den += b;
        } else if (a * den > b * num) {
            path += 'L';
            a -= num;
            b -= den;
            if (a < 0 || b <= 0) return "no";
        } else {
            return path;
        }
    }
    return path;
}

int main() {
    cout << solve() << endl;
    return 0;
}

