import itertools
import math

def dist(p2, p4):
    return math.sqrt((p2[0] - p4[0])**2 + (p2[1] - p4[1])**2)

def solve():
    n = int(input())
    points = []
    for _ in range(n):
        x, y = map(int, input().split())
        points.append((x, y))

    min_dist = float('inf')
    for perm in itertools.permutations(points):
        total_dist = 0
        for i in range(n - 1):
            total_dist += dist(perm[i], perm[i+1])
        min_dist = min(min_dist, total_dist)

    print(min_dist)

solve()
